%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		geary
Version:	0.11.2
Release:	%mkrel 1
Summary:	A lightweight email program designed around conversations
License:	LGPLv2+
Group:		Networking/Mail
URL:		http://yorba.org/geary/
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#------------------------------------------------------------
BuildRequires: gnome-doc-utils
BuildRequires: grep
BuildRequires: intltool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}canberra-devel
BuildRequires: %{_lib}gcr-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}gee-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gmime-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}secret-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: p11-kit-devel
BuildRequires: vala
BuildRequires: vala-tools
BuildRequires: webkitgtk3-devel
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: waf
#------------------------------------------------------------
Requires:	hicolor-icon-theme

%description
Geary is a new email reader for GNOME designed to let you read your email
quickly and effortlessly. Its interface is based on conversations, so you
can easily read an entire discussion without having to click from message
to message.
Geary is still in early development and has limited features today, but
we're planning to add lightning-fast searching, multiple account support,
and much more. Eventually we'd like Geary to have an extensible plugin
architecture so that developers will be able to add all kinds of nifty
features in a modular way.

%prep
%setup -q 
%apply_patches

%build
%cmake -DGSETTINGS_COMPILE=OFF \
       -DGSETTINGS_COMPILE_IN_PLACE=OFF \
       -DICON_UPDATE=OFF \
       -DDESKTOP_UPDATE=OFF
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/glib-2.0/schemas/org.yorba.geary.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/actions/*.*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/contractor/%{name}*.contract
%{_datadir}/icons/hicolor/symbolic/apps/geary-symbolic.svg

%changelog
* Mon Nov 21 2016 adrianomorselli <adrianomorselli> 0.11.2-1uplos2016
- rebuild

* Mon Oct 24 2016 bb <bb> 0.11.2-1pclos2016
- update

* Mon Jun 27 2016 bb <bb> 0.11.1-1pclos2016
- update

* Tue May 17 2016 bb <bb> 0.11.0-1pclos2016
- update

* Sun May 01 2016 bb <bb> 0.10.0-1pclos2016
- update

